Bug 124519 - (ACPI) System shuts down on boot with Critical Temperature Reached (23C) Shutting Down
(ACPI) System shuts down on boot with Critical Temperature Reached (23C) Shut...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-27 02:54 EDT by John Webb
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:00:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Webb 2004-05-27 02:54:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Gateway M675 Laptop with Pentium 4 2.80 (HT); 512MB RAM.  Motherboard
(claims to be) Gateway M675 Rev 1.0 with Gateway Bios 39.01.06
12/12/2003 (Phoenix Bios in reality).  Other utilities (under Win XP)
report ACPI enabled motherboard with ACPI Fans, etc. and LM90 sensor chip.

During bootup, nearly immediately, before even option of 'Press I for
Interactive Startup' the system reports Critical Temperature Reached
(nnC) Shutting Down. Reports this for 2nd CPU (a different sensor)
slightly different temperture.  Echos both lines again and shuts down
system cleanly.  The reported temperature is reasonable for the system
condition 23C for cold boot, 40C on a reboot after some time on. 
Reported temperatures are similar to what I see when booting into XP
using other utilities and are, as you can see not sufficiently high to
 require a shutdown.

Symptoms occur with rhgb on or off (prior closed bug); apm=off;
pci=noacpi; on or off battery power; with system hot or cold.  Booting
 with acpi=off allows system to boot cleanly and it runs with no
evidence of overheating.  When running APM appears to work and reports
battery capacity correctly.

Also noted that during initial loading of Fedora Core 2 saw same
message while in text mode (while verifying media) along with
high-ASCII text, but no shutdown occurred.  This is new laptop for me
so have no prior experience with Fedora C2 or C1 on this machine,
however works properly with both Knoppix 3.3 and Gnoppix 0.6.0 so
suspect will operate properly with 2.4 or non-ACPI kernel.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Boot Fedora Core 2 with default options on this hardware
configuration.  Observe that it shuts down.  
2.  Boot with acpi=off and everything works fine.
3.
    

Actual Results:  Shuts down cleanly with reports of Critical
Temperature Reached (nnC) Shutting Down (2x).

Expected Results:  Should have boot cleanly.

Additional info:

Can't retrieve dmesg from failed bootups; if I can get retrieve a
failed boot log I will post.
Comment 1 Bill Nottingham 2004-05-27 17:41:52 EDT
This is an interaction between the kernel acpi code and your BIOS.
Comment 2 John Webb 2004-05-27 19:40:00 EDT
1.  Note that the BIOS appears to be reporting the correct (or at 
least reasonable) CPU temperatures and those temperatures are lower 
than what should trigger a shutdown.

2.  Unable to retrieve dmesg log for startup.  I can get to it, but 
shutdown happens before anything is written to the log.  
Recommendations for instructing grub(?) to redirect standard output 
to a file?
Comment 3 Mark Wormgoor 2005-01-21 15:23:39 EST
Having the exact same problem here, but running FC3 with 
2.6.10-1.741_FC3.  My system is an Abit AN7 / Athlon 3000.  It is
reporting 20C, which is a great temperature, but the kernel things
it's a critical temparature and it says shutting down, but will still
continue to boot, but at a low frequency (I found this because my
machine was compiling slowly).  My machine is fine with acpi=off.
Comment 4 Dave Jones 2005-04-16 00:00:55 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.